%define upstream_name Generic-Assertions
%define upstream_version 0.001001

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	A Generic Assertion checking class
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Generic/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::Warnings)

BuildArch:	noarch

%description
A Generic Assertion checking class.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.1-5.mga8
+ Revision: 1494644
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.1.1-4.mga7
+ Revision: 1268194
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.1.1-3.mga6
+ Revision: 1027713
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.1.1-2.mga6
+ Revision: 966654
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.1.1-1.mga6
+ Revision: 846498
- imported package perl-Generic-Assertions

